Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Class BorderElement

    java.lang.Object
      org.apache.fop.layoutmgr.ListElement
          org.apache.fop.layoutmgr.UnresolvedListElement
              org.apache.fop.layoutmgr.UnresolvedListElementWithLength
                  org.apache.fop.layoutmgr.BorderOrPaddingElement
                      org.apache.fop.layoutmgr.BorderElement

    public class BorderElement

extends BorderOrPaddingElement

This represents an unresolved border element.

Field Summary

Fields inherited from class org.apache.fop.layoutmgr.UnresolvedListElementWithLength
`log`

Constructor Summary
`BorderElement(Position position, CondLengthProperty condLength, RelSide side, boolean isFirst, boolean isLast, PercentBaseContext context)` Main constructor

Method Summary
`void` | `notifyLayoutManager(MinOptMax effectiveLength)` Called to notify the affected layout manager about the effective length after resolution.
`java.lang.String` | `toString()`

Methods inherited from class org.apache.fop.layoutmgr.UnresolvedListElementWithLength
`getLength, getSide, isConditional, isFirst, isLast`

Methods inherited from class org.apache.fop.layoutmgr.UnresolvedListElement
`getOriginatingLayoutManager`

Methods inherited from class org.apache.fop.layoutmgr.ListElement
`getLayoutManager, getPosition, isBox, isForcedBreak, isGlue, isPenalty, isUnresolvedElement, setPosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BorderElement

    public BorderElement(Position position,
                         CondLengthProperty condLength,
                         RelSide side,
                         boolean isFirst,
                         boolean isLast,
                         PercentBaseContext context)

  Main constructor

  Parameters:
    `position` - the Position instance needed by the addAreas stage of the LMs.
    `side` - the side to which this space element applies.
    `condLength` - the length-conditional property for a border or padding specification
    `isFirst` - true if this is a padding- or border-before of the first area generated.
    `isLast` - true if this is a padding- or border-after of the last area generated.
    `context` - the property evaluation context

Method Detail

### notifyLayoutManager

    public void notifyLayoutManager(MinOptMax effectiveLength)

  Called to notify the affected layout manager about the effective length after resolution. This method is called once before each call to the layout manager's addAreas() method.

  Specified by:
    `notifyLayoutManager` in class `BorderOrPaddingElement`
  Parameters:
    `effectiveLength` - the effective length after resolution (may be null which equals to zero effective length)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `UnresolvedListElementWithLength`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.